/*

  5V Relay Module 1-8 Channel

  Parts required:
  - Arduino Board
  - 5V Relay Module 1-8 Channel

  Expert Mode Programming

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 22 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

  Instruction:
  set connections on from digital port 0 to number of relays

*/

// Initialize all variables
int count = 0;                                            // set count as 0
int relayPort = 0;                                        // set connections on digital port from 0 to number of portsc used
int relayNumbers = 8;                                     // select number of relay ports
int delayTimer = 500;                                     // set delayTimer to delay(500)

void setup() {
  for (count = 0; count <= relayNumbers - 1; count++) {   // for count = 0 to number of ports and do
    pinMode(relayPort + count, OUTPUT);                   // set pinMode for digital port as OUTPUT from 0 to number of ports used
  }
}

void loop() {
  for (count = 0; count <= relayNumbers - 1; count++) {   // for count = 0 to number of ports and do
    digitalWrite(relayPort + count, HIGH);                // set relayPin1 to HIGH
    delay(delayTimer);                                    // wait delayTimer in ms
    digitalWrite(relayPort + count, LOW);                 // set relayPin1 to HIGH
    delay(delayTimer);                                    // wait delayTimer in ms
  }
}
